<?php
require_once 'DB.php'; # We are using PEAR::DB module

$uploaddir = '/var/spool/uploads/'; # Outside of web root
$uploadfile = tempnam($uploaddir, "upload_");

if (move_uploaded_file($_FILES['userfile']['tmp_name'], $uploadfile)) {
    # Saving information about this file in the DB
    $db =& DB::connect("mysql://root@localhost/db");
    if(PEAR::isError($db)) {
       unlink($uploadfile);
       die("Error connecting to the database");
    }
    $res = $db->query("INSERT INTO uploads SET name=?, original_name=?, mime_type=?", 
          array(basename($uploadfile), 
                         basename($_FILES['userfile']['name']),    
                         $_FILES['userfile']['type']));
    if(PEAR::isError($res)) {
          unlink($uploadfile);
          die("Error saving data to the database. The file was not uploaded");
    }
    $id = $db->getOne('SELECT LAST_INSERT_ID() FROM uploads'); # MySQL specific
    echo "File is valid, and was successfully uploaded. You can view it <a href=\"view6.php?id=$id\">here</a>\n";
} else {
    echo "File uploading failed.\n";
}

?>
